Create Location Group
Creates a location group with one location. More locations can be included by using the Add Location to Location Group API.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
Body
application/json
- Type: stringlocation
_id Unique ID of a particular location. This is generated by Punchh.
- Type: stringname
Name of the location group
- Type: stringstore
_number Unique store number provided by the business
Responses
- application/json
- application/json
Request Example for post/api2/dashboard/location_groups
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/location_groups \
--request POST \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"name": "Location Group 1",
"store_number": "317111",
"location_id": "312362"
}'
{
"location_group_id": 2142,
"name": "Location Group 1",
"locations": [
{
"location_id": 312362,
"store_number": "317111"
}
]
}